import type { GroundStationOptions, SatelliteOptions } from './h-cesium-viewer-class';

/**
 * 地面站状态接口
 * 包含地面站列表和当前选中的地面站 ID 列表
 */
export interface GroundStationState {
  /** 地面站配置数组 */
  groundStations: GroundStationOptions[];
  /** 选中的地面站 ID 数组 */
  selectedIds: string[];
}

/**
 * 卫星状态接口
 * 包含卫星列表和当前选中的卫星 ID 列表
 */
export interface SatelliteState {
  /** 卫星配置数组 */
  satellites: SatelliteOptions[];
  /** 选中的卫星 ID 数组 */
  selectedIds: string[];
}
