// src/utils/useHCesiumViewerCls.ts
import { HCesiumViewerCls } from '@/components/h-cesium-viewer/h-cesium-viewer-class';

/**
 * 管理 HCesiumViewerCls 实例的生命周期。
 * @param containerId - Cesium Viewer 容器的 DOM ID。
 * @returns 返回 HCesiumViewerCls 实例。
 */
export function useHCesiumViewerCls(containerId: string) {
  const hCesiumViewerInst = new HCesiumViewerCls();
  if ($__DEV__) Object.assign(globalThis, { hCesiumViewerInst }); // 仅在开发模式下暴露到全局

  onMounted(() => {
    hCesiumViewerInst.initCesiumViewer(containerId);
  });

  onBeforeUnmount(() => {
    hCesiumViewerInst.destroy();
  });

  return {
    hCesiumViewerInst,
  };
}
